using System;
using System.Collections.Generic;
namespace Stat.IDAL
{
    public interface ISystems
    {
        bool Insert(Model.System model);
        bool Update(Model.System model);
        bool Delete(int id);
        IList<Model.System> Get();
        IList<Model.System> Get(int id);

        /*------------------------------------*/
        Int32 Totali_Active_Website(DateTime dt);
        Int32 Totali_Active_IP(DateTime dt);
        Int32 Totali_Active_Keyword(DateTime dt);
    }
}
